Skip to main content
GET
/
transit
/
stops
Stops
curl --request GET \
  --url 'https://api.511.org/transit/stops?api_key='
{
  "Siri": {
    "ServiceDelivery": {
      "DataObjectDelivery": {
        "dataObjects": {
          "ServiceFrame": {
            "scheduledStopPoints": {
              "ScheduledStopPoint": [
                {
                  "id": "18079",
                  "Name": "Mission St & 16th St",
                  "Location": {
                    "Longitude": -122.4191,
                    "Latitude": 37.7651
                  }
                }
              ]
            }
          }
        }
      }
    }
  }
}

Authorizations

api_key
string
query
required

511.org token query parameter.

Query Parameters

format
enum<string>
default:json

Desired response format. JSON is the default when omitted.

Available options:
json,
xml
accept_language
string

Optional language hint for NeTEx endpoints when multiple languages are available.

operator_id
string
required

Operator or agency identifier.

include_stop_areas
boolean

Include stop area groupings in stop responses.

Direction_id
string

Direction filter as documented on the current transit page.

line_id
string

Line or route identifier.

pattern_id
string

Journey pattern identifier.

Response

Stops in JSON or XML.

The response is of type object.